const ANCHORED = uint32(0x00000010)
const AUTO_CALLOUT = uint32(0x00004000)
const BSR_ANYCRLF = uint32(0x00800000)
const BSR_UNICODE = uint32(0x01000000)
const CASELESS = uint32(0x00000001)
const CONFIG_BSR = uint32(8)
const CONFIG_JIT = uint32(9)
const CONFIG_JITTARGET = uint32(11)
const CONFIG_LINK_SIZE = uint32(2)
const CONFIG_MATCH_LIMIT = uint32(4)
const CONFIG_MATCH_LIMIT_RECURSION = uint32(7)
const CONFIG_NEWLINE = uint32(1)
const CONFIG_PARENS_LIMIT = uint32(13)
const CONFIG_POSIX_MALLOC_THRESHOLD = uint32(3)
const CONFIG_STACKRECURSE = uint32(5)
const CONFIG_UNICODE_PROPERTIES = uint32(6)
const CONFIG_UTF16 = uint32(10)
const CONFIG_UTF32 = uint32(12)
const CONFIG_UTF8 = uint32(0)
const DFA_RESTART = uint32(0x00020000)
const DFA_SHORTEST = uint32(0x00010000)
const DOLLAR_ENDONLY = uint32(0x00000020)
const DOTALL = uint32(0x00000004)
const DUPNAMES = uint32(0x00080000)
const ERROR_BADCOUNT = uint32(-15)
const ERROR_BADENDIANNESS = uint32(-29)
const ERROR_BADLENGTH = uint32(-32)
const ERROR_BADMAGIC = uint32(-4)
const ERROR_BADMODE = uint32(-28)
const ERROR_BADNEWLINE = uint32(-23)
const ERROR_BADOFFSET = uint32(-24)
const ERROR_BADOPTION = uint32(-3)
const ERROR_BADPARTIAL = uint32(-13)
const ERROR_BADUTF16 = uint32(-10)
const ERROR_BADUTF16_OFFSET = uint32(-11)
const ERROR_BADUTF32 = uint32(-10)
const ERROR_BADUTF8 = uint32(-10)
const ERROR_BADUTF8_OFFSET = uint32(-11)
const ERROR_CALLOUT = uint32(-9)
const ERROR_DFA_BADRESTART = uint32(-30)
const ERROR_DFA_RECURSE = uint32(-20)
const ERROR_DFA_UCOND = uint32(-17)
const ERROR_DFA_UITEM = uint32(-16)
const ERROR_DFA_UMLIMIT = uint32(-18)
const ERROR_DFA_WSSIZE = uint32(-19)
const ERROR_INTERNAL = uint32(-14)
const ERROR_JIT_BADOPTION = uint32(-31)
const ERROR_JIT_STACKLIMIT = uint32(-27)
const ERROR_MATCHLIMIT = uint32(-8)
const ERROR_NOMATCH = uint32(-1)
const ERROR_NOMEMORY = uint32(-6)
const ERROR_NOSUBSTRING = uint32(-7)
const ERROR_NULL = uint32(-2)
const ERROR_NULLWSLIMIT = uint32(-22)
const ERROR_PARTIAL = uint32(-12)
const ERROR_RECURSELOOP = uint32(-26)
const ERROR_RECURSIONLIMIT = uint32(-21)
const ERROR_SHORTUTF16 = uint32(-25)
const ERROR_SHORTUTF8 = uint32(-25)
const ERROR_UNKNOWN_NODE = uint32(-5)
const ERROR_UNKNOWN_OPCODE = uint32(-5)
const ERROR_UNSET = uint32(-33)
const EXTENDED = uint32(0x00000008)
const EXTRA = uint32(0x00000040)
const EXTRA_CALLOUT_DATA = uint32(0x0004)
const EXTRA_EXECUTABLE_JIT = uint32(0x0040)
const EXTRA_MARK = uint32(0x0020)
const EXTRA_MATCH_LIMIT = uint32(0x0002)
const EXTRA_MATCH_LIMIT_RECURSION = uint32(0x0010)
const EXTRA_STUDY_DATA = uint32(0x0001)
const EXTRA_TABLES = uint32(0x0008)
const FIRSTLINE = uint32(0x00040000)
const INFO_BACKREFMAX = uint32(3)
const INFO_CAPTURECOUNT = uint32(2)
const INFO_DEFAULT_TABLES = uint32(11)
const INFO_FIRSTBYTE = uint32(4)
const INFO_FIRSTCHAR = uint32(4)
const INFO_FIRSTCHARACTER = uint32(19)
const INFO_FIRSTCHARACTERFLAGS = uint32(20)
const INFO_FIRSTTABLE = uint32(5)
const INFO_HASCRORLF = uint32(14)
const INFO_JCHANGED = uint32(13)
const INFO_JIT = uint32(16)
const INFO_JITSIZE = uint32(17)
const INFO_LASTLITERAL = uint32(6)
const INFO_MATCHLIMIT = uint32(23)
const INFO_MATCH_EMPTY = uint32(25)
const INFO_MAXLOOKBEHIND = uint32(18)
const INFO_MINLENGTH = uint32(15)
const INFO_NAMECOUNT = uint32(8)
const INFO_NAMEENTRYSIZE = uint32(7)
const INFO_NAMETABLE = uint32(9)
const INFO_OKPARTIAL = uint32(12)
const INFO_OPTIONS = uint32(0)
const INFO_RECURSIONLIMIT = uint32(24)
const INFO_REQUIREDCHAR = uint32(21)
const INFO_REQUIREDCHARFLAGS = uint32(22)
const INFO_SIZE = uint32(1)
const INFO_STUDYSIZE = uint32(10)
const JAVASCRIPT_COMPAT = uint32(0x02000000)
const MAJOR = uint32(8)
const MINOR = uint32(36)
const MULTILINE = uint32(0x00000002)
const NEVER_UTF = uint32(0x00010000)
const NEWLINE_ANY = uint32(0x00400000)
const NEWLINE_ANYCRLF = uint32(0x00500000)
const NEWLINE_CR = uint32(0x00100000)
const NEWLINE_CRLF = uint32(0x00300000)
const NEWLINE_LF = uint32(0x00200000)
const NOTBOL = uint32(0x00000080)
const NOTEMPTY = uint32(0x00000400)
const NOTEMPTY_ATSTART = uint32(0x10000000)
const NOTEOL = uint32(0x00000100)
const NO_AUTO_CAPTURE = uint32(0x00001000)
const NO_AUTO_POSSESS = uint32(0x00020000)
const NO_START_OPTIMISE = uint32(0x04000000)
const NO_START_OPTIMIZE = uint32(0x04000000)
const NO_UTF16_CHECK = uint32(0x00002000)
const NO_UTF32_CHECK = uint32(0x00002000)
const NO_UTF8_CHECK = uint32(0x00002000)
const PARTIAL = uint32(0x00008000)
const PARTIAL_HARD = uint32(0x08000000)
const PARTIAL_SOFT = uint32(0x00008000)
const STUDY_EXTRA_NEEDED = uint32(0x0008)
const STUDY_JIT_COMPILE = uint32(0x0001)
const STUDY_JIT_PARTIAL_HARD_COMPILE = uint32(0x0004)
const STUDY_JIT_PARTIAL_SOFT_COMPILE = uint32(0x0002)
const UCP = uint32(0x20000000)
const UNGREEDY = uint32(0x00000200)
const UTF16 = uint32(0x00000800)
const UTF16_ERR0 = uint32(0)
const UTF16_ERR1 = uint32(1)
const UTF16_ERR2 = uint32(2)
const UTF16_ERR3 = uint32(3)
const UTF16_ERR4 = uint32(4)
const UTF32 = uint32(0x00000800)
const UTF32_ERR0 = uint32(0)
const UTF32_ERR1 = uint32(1)
const UTF32_ERR2 = uint32(2)
const UTF32_ERR3 = uint32(3)
const UTF8 = uint32(0x00000800)
const UTF8_ERR0 = uint32(0)
const UTF8_ERR1 = uint32(1)
const UTF8_ERR10 = uint32(10)
const UTF8_ERR11 = uint32(11)
const UTF8_ERR12 = uint32(12)
const UTF8_ERR13 = uint32(13)
const UTF8_ERR14 = uint32(14)
const UTF8_ERR15 = uint32(15)
const UTF8_ERR16 = uint32(16)
const UTF8_ERR17 = uint32(17)
const UTF8_ERR18 = uint32(18)
const UTF8_ERR19 = uint32(19)
const UTF8_ERR2 = uint32(2)
const UTF8_ERR20 = uint32(20)
const UTF8_ERR21 = uint32(21)
const UTF8_ERR22 = uint32(22)
const UTF8_ERR3 = uint32(3)
const UTF8_ERR4 = uint32(4)
const UTF8_ERR5 = uint32(5)
const UTF8_ERR6 = uint32(6)
const UTF8_ERR7 = uint32(7)
const UTF8_ERR8 = uint32(8)
const UTF8_ERR9 = uint32(9)
